Package org.eclipse.jdt.core.search

## Class MethodNameRequestor

- java.lang.Object
- - org.eclipse.jdt.core.search.MethodNameRequestor

    public abstract class MethodNameRequestor
    extends Object

A `MethodDeclarationRequestor` collects search results from a `searchAllMethodDeclarations` query to a `SearchEngine`. Clients must subclass this abstract class and pass an instance to the `SearchEngine.searchAllMethodDeclarations` method.

This class may be subclassed by clients

Since:
  3.12

### Constructor Summary

Constructors
`MethodNameRequestor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `acceptMethod​(char[] methodName, int parameterCount, char[] declaringQualifier, char[] simpleTypeName, int typeModifiers, char[] packageName, char[] signature, char[][] parameterTypes, char[][] parameterNames, char[] returnType, int modifiers, String path, int methodIndex)` Accepts a method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodNameRequestor

    public MethodNameRequestor()

### Method Detail

#### acceptMethod

    public void acceptMethod​(char[] methodName,
                             int parameterCount,
                             char[] declaringQualifier,
                             char[] simpleTypeName,
                             int typeModifiers,
                             char[] packageName,
                             char[] signature,
                             char[][] parameterTypes,
                             char[][] parameterNames,
                             char[] returnType,
                             int modifiers,
                             String path,
                             int methodIndex)

Accepts a method.

The default implementation of this method does nothing. Subclasses should override.

Parameters:
  `methodName` - name of the method.
  `parameterCount` - number of parameters in this method.
  `declaringQualifier` - the qualified name of parent of the enclosing type of this method.
  `simpleTypeName` - name of the enclosing type of this method.
  `typeModifiers` - modifiers of the type
  `packageName` - the package name as specified in the package declaration (i.e. a dot-separated name).
  `signature` - signature of the method - this would be null for methods in source files.
  `parameterTypes` - types of all the parameters.
  `parameterNames` - names of all the parameters.
  `returnType` - return type of the method.
  `modifiers` - modifiers of the method.
  `path` - the full path to the resource containing the type. If the resource is a .class file or a source file, this is the full path in the workspace to this resource. If the resource is an archive (that is, a .zip or .jar file), the path is composed of 2 paths separated by `IJavaSearchScope.JAR_FILE_ENTRY_SEPARATOR`: the first path is the full OS path to the archive (if it is an external archive), or the workspace relative `IPath` to the archive (if it is an internal archive), the second path is the path to the resource inside the archive.